Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client
Class AsyncProxy.ProxyCallback<T>

    java.lang.Object
      com.google.gwt.user.client.AsyncProxy.ProxyCallback<T>

Type Parameters:
  `T` - the interface parameterization of AsyncProxy.

Enclosing interface:
  AsyncProxy<T>

    public abstract static class AsyncProxy.ProxyCallback<T>

extends java.lang.Object

The callback used by `AsyncProxy.setProxyCallback(ProxyCallback)`.

Constructor Summary
`AsyncProxy.ProxyCallback()`

Method Summary
`void` | `onComplete(T instance)` This method will be invoked by the AsyncProxy after method playback is complete.
`void` | `onFailure(java.lang.Throwable t)` Invokes the global uncaught exception handler.
`void` | `onInit(T instance)` This method will be called with the instance object before method replay starts.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AsyncProxy.ProxyCallback

    public AsyncProxy.ProxyCallback()

Method Detail

### onComplete

    public void onComplete(T instance)

  This method will be invoked by the AsyncProxy after method playback is complete.

  Parameters:
    `instance` - the instance

### onFailure

    public void onFailure(java.lang.Throwable t)

  Invokes the global uncaught exception handler.

### onInit

    public void onInit(T instance)

  This method will be called with the instance object before method replay starts. This provides the developer with the opportunity to perform secondary initialization of the backing object.

  Parameters:
    `instance` - the instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD